X11-xft-0.3.1: Bindings to the Xft, X Free Type interface library, and some Xrender parts

Safe Haskell | None
Language | Haskell98

Graphics.X11.Xrender

# Documentation

peekCUShort :: Ptr a -> CInt -> IO Int Source #

pokeCUShort :: Ptr a -> CInt -> Int -> IO () Source #

peekCShort :: Ptr a -> CInt -> IO Int Source #

pokeCShort :: Ptr a -> CInt -> Int -> IO () Source #

data XRenderColor Source #

Constructors

XRenderColor |

Fields

- xrendercolor_red :: Int
- xrendercolor_green :: Int
- xrendercolor_blue :: Int
- xrendercolor_alpha :: Int

Instances

Storable XRenderColor Source # |

Methods

sizeOf :: XRenderColor -> Int #

alignment :: XRenderColor -> Int #

peekElemOff :: Ptr XRenderColor -> Int -> IO XRenderColor #

pokeElemOff :: Ptr XRenderColor -> Int -> XRenderColor -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRenderColor #

pokeByteOff :: Ptr b -> Int -> XRenderColor -> IO () #

peek :: Ptr XRenderColor -> IO XRenderColor #

poke :: Ptr XRenderColor -> XRenderColor -> IO () #

data XGlyphInfo Source #

Constructors

XGlyphInfo |

Fields

- xglyphinfo_width :: Int
- xglyphinfo_height :: Int
- xglyphinfo_x :: Int
- xglyphinfo_y :: Int
- xglyphinfo_xOff :: Int
- xglyphinfo_yOff :: Int

Instances

Storable XGlyphInfo Source # |
Methods sizeOf :: XGlyphInfo -> Int # alignment :: XGlyphInfo -> Int # peekElemOff :: Ptr XGlyphInfo -> Int -> IO XGlyphInfo # pokeElemOff :: Ptr XGlyphInfo -> Int -> XGlyphInfo -> IO () # peekByteOff :: Ptr b -> Int -> IO XGlyphInfo # pokeByteOff :: Ptr b -> Int -> XGlyphInfo -> IO () # peek :: Ptr XGlyphInfo -> IO XGlyphInfo # poke :: Ptr XGlyphInfo -> XGlyphInfo -> IO () #

data XRenderDirectFormat Source #

Constructors

XRenderDirectFormat |

Fields

- xrenderdirectformat_red :: Int
- xrenderdirectformat_redMask :: Int
- xrenderdirectformat_green :: Int
- xrenderdirectformat_greenMask :: Int
- xrenderdirectformat_blue :: Int
- xrenderdirectformat_blueMask :: Int
- xrenderdirectformat_alpha :: Int
- xrenderdirectformat_alphaMask :: Int

Instances

Storable XRenderDirectFormat Source # |

Methods

sizeOf :: XRenderDirectFormat -> Int #

alignment :: XRenderDirectFormat -> Int #

peekElemOff :: Ptr XRenderDirectFormat -> Int -> IO XRenderDirectFormat #

pokeElemOff :: Ptr XRenderDirectFormat -> Int -> XRenderDirectFormat -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRenderDirectFormat #

pokeByteOff :: Ptr b -> Int -> XRenderDirectFormat -> IO () #

peek :: Ptr XRenderDirectFormat -> IO XRenderDirectFormat #

poke :: Ptr XRenderDirectFormat -> XRenderDirectFormat -> IO () #